List a supplier's contacts, primary first (any role)
GET
/suppliers/{supplierId}/contacts
const url = 'https://api.invogi.com/v1/suppliers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/contacts';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.invogi.com/v1/suppliers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/contacts \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”supplierId
required
string format: uuid
Responses
Section titled “Responses”Contacts
Media typeapplication/json
object
items
Array<object>
object
id
required
string format: uuid
supplierId
required
string format: uuid
name
required
string
email
string | null format: email
phone
string | null
role
E.g. Accounts receivable
string | null
isPrimary
required
boolean
updatedAt
string format: date-time
Example generated
{ "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "supplierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "email": "hello@example.com", "phone": "example", "role": "example", "isPrimary": true, "updatedAt": "2026-04-15T12:00:00Z" } ]}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}